%define name flobopuyo
%define version 0.20
%define release %mkrel 1

Name:		%{name}
Summary:	FloboPuyo is a tetris like game
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://www.ios-software.com/?page=projet&quoi=29&lg=AN
Group:		Games/Arcade
Source0:	%{name}-%{version}.tgz
Source1:	puyologo.png

BuildRequires:	bison flex SDL-devel libSDL_net-devel libSDL_image-devel libSDL_gfx-devel 
BuildRequires:	libSDL_ttf-devel mesa-common-devel libSDL_mixer-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Clone of the famous PuyoPuyo.

Puyos are fancy smiling bubbles...
But they can really be invading sometimes!
Send them away by making groups of 4 or more.

The game uses OpenGL for graphics acceleration.

Authors:
Florent Boudet <flobo@ios-software.com>
Guillaume Borios <gyom@ios-software.com>
Jean-Christophe Hoelt <jeko@ios-software.com>

%prep
%setup -q

%build
%make ENABLE_OPENGL=true PREFIX=/usr

%install
rm -rf %{buildroot}
%makeinstall_std ENABLE_OPENGL=true PREFIX=/usr

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop  <<EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Name=%{summary}
GenericName=Arcade Game
Comment=%{summary} - Tetris-like game
Icon=%{name}.png
Exec=%{name}
Terminal=false
StartupNotify=false
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name}  <<EOF
?package(%{name}): \
 command="%{_gamesbindir}/%{name}" \
 needs="X11" \
 icon="%{name}.png" \
 section="More Applications/Games/Arcade" \
 title="%{name}" \
 longtitle="%{summary}" \
 startup_notify="false" \
 xdg="true"
EOF

mkdir -p %{buildroot}/{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
convert -scale 16x16 %SOURCE1 %{buildroot}/%{_miconsdir}/%{name}.png
convert -scale 32x32 %SOURCE1 %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 48x48 %SOURCE1 %{buildroot}/%{_liconsdir}/%{name}.png


%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)

%doc Changelog COPYING INSTALL TODO
%{_gamesbindir}/*
%{_gamesdatadir}/flobopuyo
%{_menudir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*


%changelog
* Fri Jul 02 2010 Oliver Burger <rpm@mandrivauser.de> 0.20-1mud2010.1
- rebuild for 2010.1

* Sat Nov 07 2009 Oliver Burger <rpm@mandrivauser.de> 0.20-1mud2010.0
- rebuild for 2010.0

* Thu Apr 30 2009 Oliver Burger <rpm@mandrivauser.de> 0.20-1mud2009.1
- rebuild for 2009.1

* Tue Oct 14 2008 Oliver Burger <rpm@mandrivauser.de> 0.20-1mud2009.0
- Rebuild for 2009.0

* Thu Apr 10 2008 Oliver Burger <rpm@mandrivauser.de> 0.20-1mud2008.1
- Rebuild for 2008.1

* Sat Oct 20 2007 Oliver Burger <rpm@mandrivauser.de> 0.20-1mud2008.0
- Rebuild for 2008.0

* Tue Aug 14 2007 Oliver Burger <rpm@mandrivauser.de> 0.20-1mud2007.1
- Rebuild for Mandrivauser.de

* Mon Aug 13 2007 MaxiPunkt <email@domain.de> 0.20-1max
- First built for Mandriva
